Index: /code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10765)
@@ -37,5 +37,5 @@
 
     A WeakPtr wraps a pointer to an object. If the object gets deleted, the WeakPtr becomes
-    NULL. This can be used to store pointers to objects without knowing when they will be
+    nullptr. This can be used to store pointers to objects without knowing when they will be
     destroyed.
 
@@ -50,10 +50,10 @@
     WeakPtr<MyClass> pointer = object;                  // create a WeakPtr and assign the object
 
-    if (pointer)                                        // checks if pointer is not NULL (which is true)
+    if (pointer)                                        // checks if pointer is not nullptr (which is true)
         pointer->someFunction();                        // calls MyClass::someFunction()
 
     object->destroy();                                  // calls destroy() which deletes the object
 
-    if (pointer)                                        // checks if pointer is not NULL (which is now false)
+    if (pointer)                                        // checks if pointer is not nullptr (which is now false)
         pointer->someFunction();                        // this will not be executed
     @endcode
@@ -91,5 +91,5 @@
 {
     /**
-        @brief WeakPtr wraps a pointer to an object, which becomes NULL if the object is deleted.
+        @brief WeakPtr wraps a pointer to an object, which becomes nullptr if the object is deleted.
 
         @see See @ref WeakPtrExample "this description" for more information and an example.
@@ -183,5 +183,5 @@
             }
 
-            /// Returns true if the wrapped pointer is NULL.
+            /// Returns true if the wrapped pointer is nullptr.
             inline bool operator!() const
             {
@@ -210,5 +210,5 @@
             }
 
-            /// Resets the weak pointer (equivalent to assigning a NULL pointer).
+            /// Resets the weak pointer (equivalent to assigning a nullptr).
             inline void reset()
             {
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonIncludes.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonIncludes.h	(revision 10765)
@@ -71,5 +71,5 @@
 */
 #define ManageScopedSingleton(className, scope, allowedToFail) \
-    className* className::singletonPtr_s = NULL; \
+    className* className::singletonPtr_s = nullptr; \
     static ScopedSingletonWrapper& className##ScopedSingletonWrapper \
         = (new orxonox::SI_SSW(new ClassScopedSingletonWrapper<className, allowedToFail>(#className), scope))->getWrapper()
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h	(revision 10765)
@@ -91,5 +91,5 @@
         ClassScopedSingletonWrapper(const std::string& className)
             : ScopedSingletonWrapper(className)
-            , singletonPtr_(NULL)
+            , singletonPtr_(nullptr)
         {
         }
@@ -104,5 +104,5 @@
         void activated()
         {
-            assert(singletonPtr_ == NULL);
+            assert(singletonPtr_ == nullptr);
             singletonPtr_ = new T();
         }
@@ -111,7 +111,7 @@
         void deactivated()
         {
-            assert(singletonPtr_ != NULL);
+            assert(singletonPtr_ != nullptr);
             this->destroy(singletonPtr_);
-            singletonPtr_ = NULL;
+            singletonPtr_ = nullptr;
         }
 
@@ -146,5 +146,5 @@
         ClassScopedSingletonWrapper(const std::string& className)
             : ScopedSingletonWrapper(className)
-            , singletonPtr_(NULL)
+            , singletonPtr_(nullptr)
         {
         }
@@ -159,5 +159,5 @@
         void activated()
         {
-            assert(singletonPtr_ == NULL);
+            assert(singletonPtr_ == nullptr);
             try
                 { singletonPtr_ = new T(); }
@@ -171,8 +171,8 @@
         void deactivated()
         {
-            if (singletonPtr_ != NULL)
+            if (singletonPtr_ != nullptr)
             {
                 this->destroy(singletonPtr_);
-                singletonPtr_ = NULL;
+                singletonPtr_ = nullptr;
             }
         }
Index: /code/branches/cpp11_v2/src/libraries/network/ClientConnection.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/ClientConnection.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/ClientConnection.cc	(revision 10765)
@@ -44,5 +44,5 @@
     Connection(NETWORK_PEER_ID_SERVER),
     established_(false),
-    server_(NULL)
+    server_(nullptr)
   {
     this->serverAddress_ = new ENetAddress();
@@ -72,9 +72,9 @@
 
     // create host
-    this->host_ = enet_host_create(NULL, NETWORK_CLIENT_MAX_CONNECTIONS, NETWORK_CHANNEL_COUNT, 0, 0);
+    this->host_ = enet_host_create(nullptr, NETWORK_CLIENT_MAX_CONNECTIONS, NETWORK_CHANNEL_COUNT, 0, 0);
     
-    if ( this->host_ == NULL )
+    if ( this->host_ == nullptr )
     {
-      orxout(internal_error, context::network) << "ClientConnection: host_ == NULL" << endl;
+      orxout(internal_error, context::network) << "ClientConnection: host_ == nullptr" << endl;
       // error handling
       return false;
@@ -93,7 +93,7 @@
 
     this->server_ = enet_host_connect(this->host_, serverAddress_, NETWORK_CHANNEL_COUNT, 0);
-    if ( this->server_==NULL )
+    if ( this->server_==nullptr )
     {
-      orxout(internal_error, context::network) << "ClientConnection: server_ == NULL" << endl;
+      orxout(internal_error, context::network) << "ClientConnection: server_ == nullptr" << endl;
       // error handling
       return false;
Index: /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/FunctionCall.cc	(revision 10765)
@@ -48,5 +48,5 @@
 bool FunctionCall::execute(){
   NetworkFunctionBase* fct = NetworkFunctionManager::getInstance().getFunctionByNetworkId( this->functionID_ );
-  assert( fct != NULL );
+  assert( fct != nullptr );
   assert( this->nrOfArguments_==this->arguments_.size() );
   switch(this->nrOfArguments_)
Index: /code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10765)
@@ -85,6 +85,6 @@
       assert( this->host_ == 0 );
       this->host_ = enet_host_create( &bindAddress, 10, 0, 0, 0 );
-      if ( this->host_ == NULL )
-          orxout(internal_error, context::network) << "LANDiscoverable: host_ == NULL" << endl;
+      if ( this->host_ == nullptr )
+          orxout(internal_error, context::network) << "LANDiscoverable: host_ == nullptr" << endl;
     }
     else
Index: /code/branches/cpp11_v2/src/libraries/network/LANDiscovery.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/LANDiscovery.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/LANDiscovery.cc	(revision 10765)
@@ -42,12 +42,12 @@
   LANDiscovery::LANDiscovery()
   {
-    this->host_ = enet_host_create(NULL, 10, 0, 0, 0 );
-    if ( this->host_ == NULL )
-        orxout(internal_error, context::network) << "LANDiscovery: host_ == NULL" << endl;
+    this->host_ = enet_host_create(nullptr, 10, 0, 0, 0 );
+    if ( this->host_ == nullptr )
+        orxout(internal_error, context::network) << "LANDiscovery: host_ == nullptr" << endl;
   }
 
   LANDiscovery::~LANDiscovery()
   {
-    if (this->host_ != NULL)
+    if (this->host_ != nullptr)
       enet_host_destroy(this->host_);
   }
@@ -65,5 +65,5 @@
     address.host = ENET_HOST_BROADCAST;
     peer = enet_host_connect(this->host_, &address, 0, 0);
-    if (peer == NULL)
+    if (peer == nullptr)
         orxout(internal_error, context::network) << "Could not send LAN discovery to IPv4 Broadcast." << endl;
 
@@ -71,5 +71,5 @@
     enet_address_set_host(&address, "ff02::1"); // TODO: use a multicast group
     peer = enet_host_connect(this->host_, &address, 0, 0);
-    if (peer == NULL)
+    if (peer == nullptr)
         orxout(internal_error, context::network) << "Could not send LAN discovery to IPv6 Multicast." << endl;
 
Index: /code/branches/cpp11_v2/src/libraries/network/MasterServer.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/MasterServer.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/MasterServer.cc	(revision 10765)
@@ -43,5 +43,5 @@
 
   /* forward declaration so the linker doesn't complain */
-  MasterServer *MasterServer::instance = NULL;
+  MasterServer *MasterServer::instance = nullptr;
 
   /* command: list servers */
@@ -345,5 +345,5 @@
     /***** ENTER MAIN LOOP *****/
     ENetEvent *event = (ENetEvent *)calloc(sizeof(ENetEvent), sizeof(char));
-    if( event == NULL )
+    if( event == nullptr )
     {
       orxout(user_error, context::master_server) << "Could not create ENetEvent structure, exiting." << endl;
Index: /code/branches/cpp11_v2/src/libraries/network/MasterServerComm.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/MasterServerComm.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/MasterServerComm.cc	(revision 10765)
@@ -54,5 +54,5 @@
 
     /* initiate the client */
-    this->client = enet_host_create( NULL /* create a client host */,
+    this->client = enet_host_create( nullptr /* create a client host */,
         1,
         2, /* allow up 2 channels to be used, 0 and 1 */
@@ -61,5 +61,5 @@
 
     /* see if it worked */
-    if (this->client == NULL)
+    if (this->client == nullptr)
     { orxout(internal_error, context::master_server) << "An error occurred while trying to create an " 
         << "ENet client host." << endl;
@@ -85,5 +85,5 @@
     this->peer = enet_host_connect(this->client, &this->address, 2, 0);    
 
-    if( this->peer == NULL )
+    if( this->peer == nullptr )
     { orxout(internal_error, context::master_server) << "No available peers for initiating an ENet"
         << " connection." << endl;
@@ -157,5 +157,5 @@
 
     /* address buffer */
-    char *addrconv = NULL;
+    char *addrconv = nullptr;
     int retval = 0;
 
@@ -193,5 +193,5 @@
 
           /* call the supplied callback, if any. */
-          if( listener != NULL )
+          if( listener != nullptr )
             retval = listener->rhandler( addrconv, &(this->event) );
 
Index: /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionManager.cc	(revision 10765)
@@ -71,5 +71,5 @@
             return it->second;
         else
-            return NULL;
+            return nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/network/PeerList.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/PeerList.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/PeerList.cc	(revision 10765)
@@ -41,5 +41,5 @@
   PeerList::addPeer( ENetPeer *toadd )
   { /* error correction */
-    if( toadd == NULL )
+    if( toadd == nullptr )
     { orxout(internal_error, context::master_server) << "PeerList::addPeer: empty peer given." << endl;
       return -1;
@@ -92,5 +92,5 @@
 
     /* not found */
-    return NULL;
+    return nullptr;
   }
 
Index: /code/branches/cpp11_v2/src/libraries/network/Server.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/Server.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/Server.cc	(revision 10765)
@@ -244,5 +244,5 @@
   {
 //     ClientInformation *temp = ClientInformation::getBegin();
-//     if( temp == NULL )
+//     if( temp == nullptr )
       //no client connected
     if( this->clientIDs_.size()==0 )
@@ -255,5 +255,5 @@
     }
 //     orxout(verbose, context::network) << "sending DeleteObjects" << endl;
-//     while(temp != NULL){
+//     while(temp != nullptr){
 //       if( !(temp->getSynched()) )
 //       {
Index: /code/branches/cpp11_v2/src/libraries/network/ServerConnection.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/ServerConnection.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/ServerConnection.cc	(revision 10765)
@@ -73,7 +73,7 @@
     this->host_ = enet_host_create(this->bindAddress_, NETWORK_MAX_CONNECTIONS, NETWORK_CHANNEL_COUNT, 0, 0);
     
-    if ( this->host_ == NULL )
+    if ( this->host_ == nullptr )
     {
-        orxout(internal_error, context::network) << "ServerConnection: host_ == NULL" << endl;
+        orxout(internal_error, context::network) << "ServerConnection: host_ == nullptr" << endl;
         return false;
     }
Index: /code/branches/cpp11_v2/src/libraries/network/packet/ClassID.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/ClassID.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/ClassID.cc	(revision 10765)
@@ -58,5 +58,5 @@
   for(;it != IdentifierManager::getInstance().getIdentifierByStringMap().end();++it){
     id = it->second;
-    if(id == NULL || !id->hasFactory())
+    if(id == nullptr || !id->hasFactory())
       continue;
     const std::string& classname = id->getName();
@@ -144,5 +144,5 @@
     id=ClassByString( std::string((const char*)classname) );
     orxout(internal_info, context::packets) << "processing classid: " << networkID << " name: " << classname << " id: " << id << endl;
-    if(id==NULL){
+    if(id==nullptr){
       orxout(user_error, context::packets) << "Received a bad classname" << endl;
       abort();
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.cc	(revision 10765)
@@ -608,5 +608,5 @@
 
   if(dest_length==0)
-    return NULL;
+    return nullptr;
 
   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
@@ -645,5 +645,5 @@
 
   if(dest_length==0)
-    return NULL;
+    return nullptr;
 
   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc	(revision 10765)
@@ -122,5 +122,5 @@
   // Destroy the ENetPacket if necessary.
   // Note: For the case ENet used the callback to destroy the packet, we have already set
-  // enetPacket_ to NULL to avoid destroying it again.
+  // enetPacket_ to nullptr to avoid destroying it again.
   if (this->enetPacket_)
   {
Index: /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 10765)
@@ -105,9 +105,9 @@
   uint32_t Synchronisable::findContextID(Context* context)
   {
-      if (context == NULL)
+      if (context == nullptr)
           return OBJECTID_UNKNOWN;
 
       Synchronisable* synchronisableContext = orxonox_cast<Synchronisable*>(context);
-      if (synchronisableContext != NULL)
+      if (synchronisableContext != nullptr)
           return synchronisableContext->getObjectID();
       else
@@ -226,5 +226,5 @@
       return it1->second;
     // if the objects not in the map it should'nt exist at all anymore
-    return NULL;
+    return nullptr;
   }
 
Index: /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.cc	(revision 10765)
@@ -93,5 +93,5 @@
     {
         if (index >= resourceLocations_.size())
-            return NULL;
+            return nullptr;
         else
             return resourceLocations_[index];
Index: /code/branches/cpp11_v2/src/libraries/tools/Shader.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/tools/Shader.cc	(revision 10765)
@@ -109,5 +109,5 @@
     {
         // For the moment, we get the viewport always from the graphics manager
-        // TODO: Try to support multiple viewports - note however that scenemanager_->getCurrentViewport() returns NULL
+        // TODO: Try to support multiple viewports - note however that scenemanager_->getCurrentViewport() returns nullptr
         //       after switching to a camera in a different scene (only for the first time this scene is displayed though)
         this->changedCompositorName(GraphicsManager::getInstance().getViewport());
Index: /code/branches/cpp11_v2/src/libraries/util/Clipboard.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/Clipboard.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/util/Clipboard.cc	(revision 10765)
@@ -93,5 +93,5 @@
             {
                 HANDLE hData = GetClipboardData(CF_TEXT);
-                if (hData == NULL)
+                if (hData == nullptr)
                     return "";
                 std::string output(static_cast<char*>(GlobalLock(hData)));
Index: /code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10765)
@@ -36,5 +36,5 @@
     /** Deletes an object and resets the pointer
     @param object
-        Pointer to an object. Handing over NULL is safe.
+        Pointer to an object. Handing over nullptr is safe.
     */
     template <class T>
@@ -42,5 +42,5 @@
     {
         delete *object;
-        *object = NULL;
+        *object = nullptr;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/util/SharedPtr.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SharedPtr.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/util/SharedPtr.h	(revision 10765)
@@ -215,5 +215,5 @@
 
         public:
-            /// Default constructor, the pointer is set to NULL.
+            /// Default constructor, the pointer is set to nullptr.
             inline SharedPtr() : pointer_(0), counter_(0)
             {
@@ -310,5 +310,5 @@
             }
 
-            /// Returns true if the pointer is not NULL.
+            /// Returns true if the pointer is not nullptr.
             inline operator bool() const
             {
Index: /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/util/SignalHandler.cc	(revision 10765)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    SignalHandler* SignalHandler::singletonPtr_s = NULL;
+    SignalHandler* SignalHandler::singletonPtr_s = nullptr;
 }
 
@@ -175,5 +175,5 @@
         dup2( gdbErr[1], STDERR_FILENO );
 
-        execlp( "sh", "sh", "-c", "gdb", static_cast<void*>(NULL));
+        execlp( "sh", "sh", "-c", "gdb", static_cast<void*>(nullptr));
       }
 
@@ -186,5 +186,5 @@
         perror("pipe failed!\n");
         kill( gdbPid, SIGTERM );
-        waitpid( gdbPid, NULL, 0 );
+        waitpid( gdbPid, nullptr, 0 );
         exit(EXIT_FAILURE);
       }
@@ -196,5 +196,5 @@
         perror("fork failed!\n");
         kill( gdbPid, SIGTERM );
-        waitpid( gdbPid, NULL, 0 );
+        waitpid( gdbPid, nullptr, 0 );
         exit(EXIT_FAILURE);
       }
@@ -297,6 +297,6 @@
 
 
-      waitpid( sigPid, NULL, 0 );
-      waitpid( gdbPid, NULL, 0 );
+      waitpid( sigPid, nullptr, 0 );
+      waitpid( gdbPid, nullptr, 0 );
 
       int wsRemoved = 0;
@@ -312,5 +312,5 @@
         bt.erase(0, 1);
 
-      time_t now = time(NULL);
+      time_t now = time(nullptr);
 
       std::string timeString =
@@ -388,5 +388,5 @@
     SignalHandler::SignalHandler()
     {
-        this->prevExceptionFilter_ = NULL;
+        this->prevExceptionFilter_ = nullptr;
     }
 
@@ -394,9 +394,9 @@
     SignalHandler::~SignalHandler()
     {
-        if (this->prevExceptionFilter_ != NULL)
+        if (this->prevExceptionFilter_ != nullptr)
         {
             // Remove the unhandled exception filter function
             SetUnhandledExceptionFilter(this->prevExceptionFilter_);
-            this->prevExceptionFilter_ = NULL;
+            this->prevExceptionFilter_ = nullptr;
         }
     }
@@ -408,7 +408,7 @@
 
         // don't register twice
-        assert(this->prevExceptionFilter_ == NULL);
-
-        if (this->prevExceptionFilter_ == NULL)
+        assert(this->prevExceptionFilter_ == nullptr);
+
+        if (this->prevExceptionFilter_ == nullptr)
         {
             // Install the unhandled exception filter function
@@ -441,5 +441,5 @@
             std::ofstream crashlog(SignalHandler::getInstance().filename_.c_str());
 
-            time_t now = time(NULL);
+            time_t now = time(nullptr);
 
             crashlog << "=======================================================" << endl;
@@ -480,5 +480,5 @@
     }
 
-    /// Returns the stack trace for either the current function, or, if @a pExceptionInfo is not NULL, for the given exception context.
+    /// Returns the stack trace for either the current function, or, if @a pExceptionInfo is not nullptr, for the given exception context.
     /* static */ std::string SignalHandler::getStackTrace(PEXCEPTION_POINTERS pExceptionInfo)
     {
@@ -625,5 +625,5 @@
 #ifdef ORXONOX_COMPILER_GCC
                 int status;
-                char* demangled = __cxxabiv1::__cxa_demangle(symbol->Name, NULL, NULL, &status);
+                char* demangled = __cxxabiv1::__cxa_demangle(symbol->Name, nullptr, nullptr, &status);
                 if (demangled)
                 {
@@ -684,5 +684,5 @@
         HMODULE hModule;
 
-        std::string output = (GetModuleFileName(NULL, szModule, MAX_PATH) ? SignalHandler::getModuleName(szModule) : "Application");
+        std::string output = (GetModuleFileName(nullptr, szModule, MAX_PATH) ? SignalHandler::getModuleName(szModule) : "Application");
         output += " caused ";
 
Index: /code/branches/cpp11_v2/src/libraries/util/SignalHandler.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SignalHandler.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/util/SignalHandler.h	(revision 10765)
@@ -113,5 +113,5 @@
             void doCatch(const std::string& appName, const std::string& filename);
 
-            static std::string getStackTrace(PEXCEPTION_POINTERS pExceptionInfo = NULL);
+            static std::string getStackTrace(PEXCEPTION_POINTERS pExceptionInfo = nullptr);
             static std::string getExceptionType(PEXCEPTION_POINTERS pExceptionInfo);
 
Index: /code/branches/cpp11_v2/src/libraries/util/Singleton.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10765)
@@ -66,5 +66,5 @@
     And don't forget to initialize the static singleton pointer in the source (*.cc) %file:
     @code
-    TestSingleton* TestSingleton::singletonPtr_s = NULL;
+    TestSingleton* TestSingleton::singletonPtr_s = nullptr;
     @endcode
 
@@ -118,5 +118,5 @@
         static T& getInstance()
         {
-            OrxVerify(T::singletonPtr_s != NULL, "T=" << typeid(T).name());
+            OrxVerify(T::singletonPtr_s != nullptr, "T=" << typeid(T).name());
             return *T::singletonPtr_s;
         }
@@ -125,5 +125,5 @@
         static bool exists()
         {
-            return (T::singletonPtr_s != NULL);
+            return (T::singletonPtr_s != nullptr);
         }
 
@@ -132,5 +132,5 @@
         Singleton()
         {
-            OrxVerify(T::singletonPtr_s == NULL, "T=" << typeid(T).name());
+            OrxVerify(T::singletonPtr_s == nullptr, "T=" << typeid(T).name());
             T::singletonPtr_s = static_cast<T*>(this);
         }
@@ -139,6 +139,6 @@
         virtual ~Singleton()
         {
-            OrxVerify(T::singletonPtr_s != NULL, "T=" << typeid(T).name());
-            T::singletonPtr_s = NULL;
+            OrxVerify(T::singletonPtr_s != nullptr, "T=" << typeid(T).name());
+            T::singletonPtr_s = nullptr;
         }
 
Index: /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/libraries/util/SmallObjectAllocator.cc	(revision 10765)
@@ -97,5 +97,5 @@
                 setNext(block + i * this->chunkSize_, block + (i + 1) * this->chunkSize_);
 
-            // the next_ pointer of the last chunk must point to NULL
+            // the next_ pointer of the last chunk must point to nullptr
             setNext(block + (this->numChunksPerBlock_ - 1) * this->chunkSize_, 0);
 
Index: /code/branches/cpp11_v2/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/designtools/ScreenshotManager.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/designtools/ScreenshotManager.cc	(revision 10765)
@@ -69,5 +69,5 @@
         Constructor. 
     */
-    ScreenshotManager::ScreenshotManager() : finalPicturePB_(NULL), data_(NULL)
+    ScreenshotManager::ScreenshotManager() : finalPicturePB_(nullptr), data_(nullptr)
     {
         RegisterObject(ScreenshotManager);
@@ -90,13 +90,13 @@
     void ScreenshotManager::cleanup(void)
     {
-        if(this->finalPicturePB_ != NULL)
+        if(this->finalPicturePB_ != nullptr)
         {
             delete this->finalPicturePB_;
-            this->finalPicturePB_ = NULL;
-        }
-        if(this->data_ != NULL)
+            this->finalPicturePB_ = nullptr;
+        }
+        if(this->data_ != nullptr)
         {
             delete this->data_;
-            this->data_ = NULL;
+            this->data_ = nullptr;
         }
         if(!this->tempTexture_.isNull())
@@ -151,5 +151,5 @@
         // Get the screenshot.
         Ogre::Image* finalImage = getScreenshot();
-        if(finalImage != NULL)
+        if(finalImage != nullptr)
         {
             // Save it.
@@ -173,6 +173,6 @@
     Ogre::Image* ScreenshotManager::getScreenshot()
     {
-        if(CameraManager::getInstance().getActiveCamera() == NULL )
-            return NULL;
+        if(CameraManager::getInstance().getActiveCamera() == nullptr )
+            return nullptr;
         return this->getScreenshot(CameraManager::getInstance().getActiveCamera()->getOgreCamera());
     }
@@ -189,6 +189,6 @@
     Ogre::Image* ScreenshotManager::getScreenshot(Ogre::Camera* camera)
     {
-        if(camera == NULL)
-            return NULL;
+        if(camera == nullptr)
+            return nullptr;
         
         // Update the internal parameters.
Index: /code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.cc	(revision 10764)
+++ /code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.cc	(revision 10765)
@@ -146,6 +146,6 @@
             }
 
-            ControllableEntity* entity = NULL;
-            if(HumanController::getLocalControllerSingleton() != NULL && HumanController::getLocalControllerSingleton()->getControllableEntity() != NULL)
+            ControllableEntity* entity = nullptr;
+            if(HumanController::getLocalControllerSingleton() != nullptr && HumanController::getLocalControllerSingleton()->getControllableEntity() != nullptr)
                 entity = HumanController::getLocalControllerSingleton()->getControllableEntity();
             else
